OVH Community, votre nouvel espace communautaire.

Installer apache et php


iRaZ
13/05/2004, 21h06
ps: la dernier fois que j'ai le boot d'ovh sa a fait la même chose et la seul reponse de ovh est:

Nous vous recommandons un diagnostique payant pour déterminer de l'erreur
Surtout, que si j'ai l'erreur c'est à cause d'eux!

iRaZ
13/05/2004, 21h03
Warning: User directive in requires SUEXEC wrapper.
Warning: Group directive in requires SUEXEC wrapper.
Warning: User directive in requires SUEXEC wrapper.
Warning: Group directive in requires SUEXEC wrapper.
Warning: User directive in requires SUEXEC wrapper.
Warning: Group directive in requires SUEXEC wrapper.

Syntax OK

FLCT
13/05/2004, 20h50
ta config est à revoir...

/usr/local/apache/bin/httpd -t
te dit quoi ?

regarde aussi si php.ini est present,au bon endroit et correctement configurer car pour ca je vois que ca

iRaZ
13/05/2004, 20h41
le module php4 y est et dans le httpd les config php y sont de même!

FLCT
13/05/2004, 20h39
il doit te manquer une directive dans ton httpd.conf pour faire parser les fichier php ou php n'est pas la !!

/usr/local/apache/bin/httpd -l
te dira les modules compiler avec apache

/usr/local/apache/bin/httpd -L | grep php
te donne les directive de php. tu peux ainsi voir si php est actif dans ta config.

et controle si
AddType application/x-httpd-php .php .php3

est dans ta config

iRaZ
13/05/2004, 20h25
Merci mais maintenant, apres avoir mi mon serveur en Boot sur ovh, tout mes sites php sont rejetés, donc on télécharge directement le code source donc comment remettre la config avant?

FLCT
13/05/2004, 20h23
Si vous ne voyez pas apparaître ce message au démarrage du serveur, c'est que l'exécutable du "lieur" n'a certainement pas été trouvé là où Apache s'attendait à ce qu'il soit, ou cet exécutable n'est pas un programme setuid root. Vérifiez votre installation et recommencez.
chmod +s
devrait résoudre le probleme

iRaZ
13/05/2004, 18h59
Je les fait deja sa mais voici leur reponse:

suexec: disabled; invalid wrapper /usr/local/apache/bin/suexec

FLCT
13/05/2004, 17h37
non , tu as un binaire suexec que tu deplace dans le repertoire d'apache (bin ou sbin)

iRaZ
13/05/2004, 15h16
Apres avoir fait make suexec je re fait make install dans le dossier de apache ?

FLCT
13/05/2004, 11h38
ah oui
>> make suexec

la ou tu est

iRaZ
13/05/2004, 09h23
[root@ns2643 support]# cc suexec.c -o suexec
suexec.c:44:23: ap_config.h: Aucun fichier ou répertoire de ce type

iRaZ
13/05/2004, 09h10
Comment je lance suerex pour eviter les ptites erreurs ?

FLCT
13/05/2004, 09h08
salut,
lancer quoi ? ca dit quoi ? il se passe quoi ?

iRaZ
12/05/2004, 17h32
j'ai tout fais mais j'arrive pas a le lancer :s

FLCT
12/05/2004, 16h03
tout est dit la,

http://www.apachefrance.com/Manuels/...VF/suexec.html

lit, essaye et si pb revient ici
mais hormis config exotique tu n'as pas trop grand chose à faire dans suexec.h

iRaZ
12/05/2004, 15h31
Oui et comment je fais pour surex ? car je suis un debutant alors...

FLCT
12/05/2004, 15h29
j'ai regler certain pd
ah ouais !!!

ton prog suexec est pas/plus bon ....
apres reflexion il doit plus exister !!

tu dois (re)compiler suexec (RTFM ) , si tu utilise les directives user et group sinon tu les mets en commentaires et ca ira bien (celles des vhosts uniquement).
++

iRaZ
12/05/2004, 14h56
j'ai regler certain pd mais voici d'autre car comme j'ai le new apache g plus les mod de ovh etc !

La configuration de apache est correcte:
Warning: User directive in requires SUEXEC wrapper. Warning: Group directive in requires SUEXEC wrapper. Warning: User directive in requires SUEXEC wrapper. Warning: Group directive in requires SUEXEC wrapper. Warning: User directive in requires SUEXEC wrapper. Warning: Group directive in requires SUEXEC wrapper. Syntax OK
Apache a bien redémarré:/usr/local/apache/bin/apachectl restart: httpd restarted

iRaZ
12/05/2004, 14h48
Ah oui c'est bon je suis bête j'avais mit steam pour server et czero full alors de 100% jui passé a 53% de free !

Now apache 1.3.31 et php 4.3.6 est install mais voici le msg de apache quand je le restart:

Warning: User directive in requires SUEXEC wrapper. Warning: Group directive in requires SUEXEC wrapper. Warning: User directive in requires SUEXEC wrapper. Warning: Group directive in requires SUEXEC wrapper. Warning: User directive in requires SUEXEC wrapper. Warning: Group directive in requires SUEXEC wrapper. [Wed May 12 15:45:29 2004] [warn] VirtualHost 213.186.57.55:80 overlaps with VirtualHost 213.186.57.55:80, the first has precedence, perhaps you need a NameVirtualHost directive [Wed May 12 15:45:29 2004] [warn] VirtualHost 213.186.57.55:80 overlaps with VirtualHost 213.186.57.55:80, the first has precedence, perhaps you need a NameVirtualHost directive [Wed May 12 15:45:29 2004] [warn] VirtualHost 213.186.57.55:80 overlaps with VirtualHost 213.186.57.55:80, the first has precedence, perhaps you need a NameVirtualHost directive [Wed May 12 15:45:29 2004] [warn] VirtualHost 213.186.57.55:80 overlaps with VirtualHost 213.186.57.55:80, the first has precedence, perhaps you need a NameVirtualHost directive [Wed May 12 15:45:29 2004] [warn] VirtualHost 213.186.57.55:80 overlaps with VirtualHost 213.186.57.55:80, the first has precedence, perhaps you need a NameVirtualHost directive [Wed May 12 15:45:29 2004] [warn] VirtualHost 213.186.57.55:80 overlaps with VirtualHost 213.186.57.55:80, the first has precedence, perhaps you need a NameVirtualHost directive [Wed May 12 15:45:29 2004] [warn] VirtualHost 213.186.57.55:80 overlaps with VirtualHost 213.186.57.55:80, the first has precedence, perhaps you need a NameVirtualHost directive [Wed May 12 15:45:29 2004] [warn] VirtualHost 213.186.57.55:80 overlaps with VirtualHost 213.186.57.55:80, the first has precedence, perhaps you need a NameVirtualHost directive [Wed May 12 15:45:29 2004] [warn] VirtualHost 213.186.57.55:80 overlaps with VirtualHost 213.186.57.55:80, the first has precedence, perhaps you need a NameVirtualHost directive
Qu'est ce?

FLCT
12/05/2004, 14h38
he bien, la tu installe pas tu compile !!
si tu en est la c'est que hda1 est à raz bord !!
regarde ton /tmp, si tu garde tes sources sur hda2 deplace les sur hda1, .. etc

jette un oeil sur la file du seveur de mail, au cas ou....

FAIS DE LA PLACE quoi !!!

controle ensuite ton espace disque, puis compile/install/no pb

iRaZ
12/05/2004, 14h17
Donc comment je libere assez de place sur l'endoit ou j'installe apache et php?

FLCT
12/05/2004, 13h47
bonjour,
avec un sd ovh tu as deux partition

/dev/hda1 2016016 1421148 492456 75% /
/dev/hda2 36977736 198100 34901236 1% /home

et tmp est sur hda1

df /tmp
Filesystem 1k-blocks Used Available Use% Mounted on
/dev/hda1 2016016 1421148 492456 75% /

normalement donc tu as ca. cequi fait que meme avec 38 go de libre sur hda2, hda1 est toujours plein

à voir

iRaZ
12/05/2004, 12h19
Bonjour,

J'ai install apache pour les maj et ainsi que php mais voici que quand je fais make et make install dans mon php voici l'erreur:

make: [libphp4.la] Erreur 1 (ignorée)
gcc -Isapi/cli/ -I/usr/local/php-4.3.6/sapi/cli/ -DPHP_ATOM_INC -I/usr/local/php-4.3.6/include -I/usr/local/php-4.3.6/main -I/usr/local/php-4.3.6 -I/usr/local/php-4.3.6/Zend -I/usr/local/php-4.3.6/ext/xml/expat -I/usr/local/php-4.3.6/TSRM -g -O2 -c /usr/local/php-4.3.6/sapi/cli/php_cli.c -o sapi/cli/php_cli.o && echo > sapi/cli/php_cli.lo
/tmp/cc5wpC7L.i: Aucun espace disponible sur le périphérique
make: *** [sapi/cli/php_cli.lo] Erreur 1
Alors comment ca ce fait alors que j'ai plus de 38go de libre?